//
//  ViewController.swift
//  Gesto Circulo
//
//  Created by Santiago Pavón on 20/10/15.
//  Copyright © 2015 UPM. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var circleView: CircleView!
    
    // Pellizco para cambiar el tamaño del circulo
    @IBAction func zoom(sender: UIPinchGestureRecognizer) {
        circleView.radius *= sender.scale
        sender.scale = 1
    }

    // Tap para situar el circulo
    @IBAction func position(sender: UITapGestureRecognizer) {
        let pos = sender.locationInView(sender.view)
        circleView.x = pos.x
        circleView.y = pos.y
    }
    
    // Pan para que el circulo siga el movimiento del dedo
    @IBAction func follow(sender: UIPanGestureRecognizer) {
        let pos = sender.translationInView(sender.view)
        circleView.x += pos.x
        circleView.y += pos.y
        sender.setTranslation(CGPointZero, inView: sender.view)
    }
}

